/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.controller.mobile.json.loan;

import java.util.List;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
@XmlRootElement(name = "updateLoanToDeliveryStatusList")
public class UpdateLoanToDeliveryStatusList {

    private String idUpdateUser;
    private String comments;
    private List<UpdateLoanToDeliveryStatusDTO> loanToDeliveryList;

    public UpdateLoanToDeliveryStatusList() {
    }

    /**
     *
     * @param idUpdateUser
     * @param comments
     * @param loanToDeliveryList
     */
    public UpdateLoanToDeliveryStatusList(String idUpdateUser, String comments, List<UpdateLoanToDeliveryStatusDTO> loanToDeliveryList) {
        this.idUpdateUser = idUpdateUser;
        this.comments = comments;
        this.loanToDeliveryList = loanToDeliveryList;
    }

    @XmlElement(name = "idUpdateUser")
    public String getIdUpdateUser() {
        return idUpdateUser;
    }

    public void setIdUpdateUser(String idUpdateUser) {
        this.idUpdateUser = idUpdateUser;
    }

    @XmlElement(name = "comments")
    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    @XmlElement(name = "loanToDeliveryList")
    public List<UpdateLoanToDeliveryStatusDTO> getLoanToDeliveryList() {
        return loanToDeliveryList;
    }

    public void setLoanToDeliveryList(List<UpdateLoanToDeliveryStatusDTO> loanToDeliveryList) {
        this.loanToDeliveryList = loanToDeliveryList;
    }

}
